Name:           angie
Version:        1.2.0
Release:        alt5%{?dist}
Summary:        Efficient, powerful and scalable reverse proxy and web server
Group:          System/Servers

License:        BSD-2-Clause
URL:            https://angie.software
Source0:        https://download.angie.software/files/%{name}-%{version}.tar.gz
Source1:        angie.conf
Source2:        default.conf
Source3:        example.conf
Source4:        angie.logrotate
Source5:        angie.service
Source6:        angie.upgrade
Source33:       angie-repo.filetrigger
Source30:        nginx-auth-jwt-0.2.1.tar.gz
Source7:        spnego-http-auth-nginx-module-v1.1.1.tar.gz
Source8:        ngx_brotli-v1.0.0rc.tar.gz
Source27:       ngx_cache_purge-2.5.3.tar.gz
Source9:        nginx-dav-ext-module-v3.0.0.tar.gz
Source28:       echo-nginx-module-v0.63.tar.gz
Source32:       ngx_http_enhanced_memcached_module-v0.3.tar.gz
Source31:        nginx-eval-module-2016.06.10.tar.gz
Source10:       ngx_http_geoip2_module-3.4.tar.gz
Source11:       headers-more-nginx-module-v0.34.tar.gz
Source26:        nginx-keyval-0.1.0.tar.gz
Source21:       lua-resty-core-v0.1.26.tar.gz
Source22:       lua-resty-lrucache-v0.13.tar.gz
Source23:       luajit2-v2.1-20230410.tar.gz
Source24:       lua-nginx-module-v0.10.24.tar.gz
Source25:       stream-lua-nginx-module-v0.0.13.tar.gz
Source12:       ngx_devel_kit-v0.3.2.tar.gz
Source13:       njs-0.8.0.tar.gz
Source29:       ngx_postgres-1.0rc7.tar.gz
Source20:       redis2-nginx-module-v0.15.tar.gz
Source14:       nginx-rtmp-module-v1.2.2.tar.gz
Source15:       set-misc-nginx-module-v0.33.tar.gz
Source16:       ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e.tar.gz
Source17:       nginx-upload-module-2.3.0.tar.gz
Source18:       nginx-vod-module-1.31.tar.gz


Patch0:         luajit2-luaconf.h.patch
Patch1:         luajit2-Makefile.patch
Patch2:         lua-config.patch
Patch3:         stream-lua-config.patch
Patch4:         ngx_postgres-default_port.patch
Patch5:         ngx_postgres-dynamic.patch
Patch6:         ngx_postgres-subrequest_in_memory.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  libpcre2-devel
BuildRequires:  zlib-devel

Requires:       systemd

%description
Actively developing fork of nginx aiming to keep it great
with brand new extra functionality.

%prep
rm -Rf %{_builddir}/*
%setup -q
tar -xpzf %{_sourcedir}/nginx-auth-jwt-0.2.1.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/spnego-http-auth-nginx-module-v1.1.1.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_brotli-v1.0.0rc.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_cache_purge-2.5.3.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-dav-ext-module-v3.0.0.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/echo-nginx-module-v0.63.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_http_enhanced_memcached_module-v0.3.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-eval-module-2016.06.10.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_http_geoip2_module-3.4.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/headers-more-nginx-module-v0.34.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-keyval-0.1.0.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/lua-resty-core-v0.1.26.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/lua-resty-lrucache-v0.13.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/luajit2-v2.1-20230410.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/lua-nginx-module-v0.10.24.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/stream-lua-nginx-module-v0.0.13.tar.gz -C %{_builddir}
%patch0 -d %{_builddir}/luajit2-2.1-20230410 -p0
%patch1 -d %{_builddir}/luajit2-2.1-20230410 -p0
%patch2 -d %{_builddir}/lua-nginx-module-0.10.24 -p0
%patch3 -d %{_builddir}/stream-lua-nginx-module-0.0.13 -p0
tar -xpzf %{_sourcedir}/ngx_devel_kit-v0.3.2.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/njs-0.8.0.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_postgres-1.0rc7.tar.gz -C %{_builddir}
%patch4 -d %{_builddir}/ngx_postgres-1.0rc7 -p0
%patch5 -d %{_builddir}/ngx_postgres-1.0rc7 -p0
%patch6 -d %{_builddir}/ngx_postgres-1.0rc7 -p0
tar -xpzf %{_sourcedir}/redis2-nginx-module-v0.15.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-rtmp-module-v1.2.2.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/set-misc-nginx-module-v0.33.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-upload-module-2.3.0.tar.gz -C %{_builddir}
tar -xpzf %{_sourcedir}/nginx-vod-module-1.31.tar.gz -C %{_builddir}

cp -Rp %{_builddir}/angie-%{version} %{_builddir}/angie-debug

%build

set -e
export CFLAGS="$RPM_OPT_FLAGS"

_build() {
    local configure_add configure_env cc_opt ld_opt make_target=modules objs_dir

    local arg; for arg in "$@"; do
        case "$arg" in
            cc_opt=*)
                cc_opt="${arg#cc_opt=}"
                ;;
            configure_add=*)
                configure_add="${arg#configure_add=}"
                ;;
            configure_env=*)
                configure_env=${arg#configure_env=}
                ;;
            objs_dir=*)
                objs_dir="${arg#objs_dir=}"
                ;;
            ld_opt=*)
                ld_opt="${arg#ld_opt=}"
                ;;
            make_target=*)
                make_target=${arg#make_target=}
                ;;
        esac
    done

    local configure_args="
    --prefix=/etc/angie
    --conf-path=/etc/angie/angie.conf
    --error-log-path=/var/log/angie/error.log
    --http-log-path=/var/log/angie/access.log
    --lock-path=/run/angie/angie.lock
    --modules-path=/usr/lib/angie/modules
    --pid-path=/run/angie/angie.pid
    --sbin-path=/usr/sbin/angie
    --http-client-body-temp-path=/var/cache/angie/client_temp
    --http-fastcgi-temp-path=/var/cache/angie/fastcgi_temp
    --http-proxy-temp-path=/var/cache/angie/proxy_temp
    --http-scgi-temp-path=/var/cache/angie/scgi_temp
    --http-uwsgi-temp-path=/var/cache/angie/uwsgi_temp
    --user=angie
    --group=angie
    --with-file-aio
    --with-http_addition_module
    --with-http_auth_request_module
    --with-http_dav_module
    --with-http_flv_module
    --with-http_gunzip_module
    --with-http_gzip_static_module
    --with-http_mp4_module
    --with-http_random_index_module
    --with-http_realip_module
    --with-http_secure_link_module
    --with-http_slice_module
    --with-http_ssl_module
    --with-http_stub_status_module
    --with-http_sub_module
    --with-http_v2_module
    --with-http_v3_module
    --with-mail
    --with-mail_ssl_module
    --with-stream
    --with-stream_realip_module
    --with-stream_ssl_module
    --with-stream_ssl_preread_module
    --with-threads
    "

    [ -n "$cc_opt" ] && configure_args="$configure_args --with-cc-opt=\"$cc_opt\""

    # always prepend LDFLAGS (if set) to --with-ld-opt
    if [ -n "$RPM_LD_FLAGS" ]; then
        [ -n "$ld_opt" ] && ld_opt="$RPM_LD_FLAGS $ld_opt" || ld_opt="$RPM_LD_FLAGS"
    fi
    [ -n "$ld_opt" ] && configure_args="$configure_args --with-ld-opt=\"$ld_opt\""

    (
        [ -f Makefile ] && make clean
        eval env $configure_env ./configure $configure_args $configure_add
        make %{?_smp_mflags} $make_target
        if [ -n "$objs_dir" ]; then
            mkdir "$objs_dir"
            cp -p objs/*.so "$objs_dir"
        fi
    )

    (
        cd ../angie-debug
        [ -f Makefile ] && make clean
        eval env $configure_env ./configure $configure_args --with-debug $configure_add
        make %{?_smp_mflags} $make_target
        if [ -n "$objs_dir" ]; then
            for so in $(cd objs && ls *.so); do
                cp -p objs/$so ../%{name}-%{version}/"$objs_dir"/${so%%.so}-debug.so
            done
        fi
    )
}

_build configure_add=--add-dynamic-module=../nginx-auth-jwt-0.2.1 \
       objs_dir=module-auth-jwt

_build configure_add=--add-dynamic-module=../spnego-http-auth-nginx-module-1.1.1 \
       objs_dir=module-auth-spnego

_build configure_add=--add-dynamic-module=../ngx_brotli-1.0.0rc \
       objs_dir=module-brotli

_build configure_add=--add-dynamic-module=../ngx_cache_purge-2.5.3 \
       objs_dir=module-cache-purge

_build configure_add=--add-dynamic-module=../nginx-dav-ext-module-3.0.0 \
       objs_dir=module-dav-ext

_build configure_add=--add-dynamic-module=../echo-nginx-module-0.63 \
       objs_dir=module-echo

_build configure_add=--add-dynamic-module=../ngx_http_enhanced_memcached_module-0.3 \
       objs_dir=module-enhanced-memcached

_build configure_add=--add-dynamic-module=../nginx-eval-module-2016.06.10 \
       objs_dir=module-eval

_build configure_add=--add-dynamic-module=../ngx_http_geoip2_module-3.4 \
       objs_dir=module-geoip2

_build configure_add=--add-dynamic-module=../headers-more-nginx-module-0.34 \
       objs_dir=module-headers-more

_build configure_add=--with-http_image_filter_module=dynamic \
       objs_dir=module-image-filter

_build configure_add=--add-dynamic-module=../nginx-keyval-0.1.0 \
       objs_dir=module-keyval

(
    cd ../luajit2-2.1-20230410
    make %{?_smp_mflags} CFLAGS="$CFLAGS -fPIC" DESTDIR=$(pwd) install
)
_build configure_add="--add-dynamic-module=../lua-nginx-module-0.10.24
                      --add-dynamic-module=../stream-lua-nginx-module-0.0.13
                      --add-dynamic-module=../ngx_devel_kit-0.3.2" \
       configure_env="LUAJIT_INC=../luajit2-2.1-20230410/usr/include/luajit-2.1
                      LUAJIT_LIB=../luajit2-2.1-20230410/usr/lib" \
       cc_opt="-I/usr/include/pcre" \
       objs_dir=module-lua

make %{?_smp_mflags} -C ../lua-resty-core-0.1.26 install \
    DESTDIR=$(pwd)/module-lua/resty-libs LUA_LIB_DIR=
make %{?_smp_mflags} -C ../lua-resty-lrucache-0.13 install \
    DESTDIR=$(pwd)/module-lua/resty-libs LUA_LIB_DIR=

mv ../lua-resty-core-0.1.26/README.markdown \
   ../lua-resty-core-0.1.26/README.lua-resty-core.markdown
mv ../lua-resty-lrucache-0.13/README.markdown \
   ../lua-resty-lrucache-0.13/README.lua-resty-lrucache.markdown
mv ../luajit2-2.1-20230410/README.md \
   ../luajit2-2.1-20230410/README.luajit2.md
mv ../stream-lua-nginx-module-0.0.13/README.md \
   ../stream-lua-nginx-module-0.0.13/README.stream-lua-nginx-module.md

_build configure_add=--add-dynamic-module=../ngx_devel_kit-0.3.2 \
       cc_opt="-DNDK_SET_VAR -DNDK_UPSTREAM_LIST" \
       objs_dir=module-ndk

_build configure_add=--add-dynamic-module=../njs-0.8.0/nginx \
       objs_dir=module-njs
(
    cd ../njs-0.8.0
    [ -f Makefile ] && make clean
    ./configure --ld-opt="$LDFLAGS"
    make %{?_smp_mflags}
)

_build configure_add=--with-http_perl_module=dynamic \
       objs_dir=module-perl
(
    make %{?_smp_mflags} -f objs/Makefile install_perl_modules \
         DESTDIR=$(pwd)/module-perl/pm INSTALLDIRS=vendor
    find module-perl/pm -not -name 'nginx.*' -type f -delete
    find module-perl/pm -depth -type d -empty -delete
)

_build configure_add=--add-dynamic-module=../ngx_postgres-1.0rc7 \
       objs_dir=module-postgres

_build configure_add=--add-dynamic-module=../redis2-nginx-module-0.15 \
       objs_dir=module-redis2

_build configure_add=--add-dynamic-module=../nginx-rtmp-module-1.2.2 \
       objs_dir=module-rtmp

_build configure_add="--add-dynamic-module=../ngx_devel_kit-0.3.2
                      --add-dynamic-module=../set-misc-nginx-module-0.33" \
       objs_dir=module-set-misc

_build configure_add=--add-dynamic-module=../ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e \
       objs_dir=module-subs

_build configure_add=--add-dynamic-module=../nginx-upload-module-2.3.0 \
       objs_dir=module-upload

_build configure_add=--add-dynamic-module=../nginx-vod-module-1.31 \
       cc_opt="-I/usr/include/ffmpeg" \
       objs_dir=module-vod

_build configure_add=--with-http_xslt_module=dynamic \
       objs_dir=module-xslt

_build make_target=build

%install
rm -Rf %{buildroot}
mkdir -p %{buildroot}

install -dm 0755 \
    %{buildroot}%{_sysconfdir}/angie \
    %{buildroot}%{_var}/cache/angie \
    %{buildroot}%{_var}/log/angie \
    %{buildroot}%{_var}/run/angie \
    %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 objs/angie %{buildroot}%{_sbindir}/angie-nodebug
install -Dm 0755 ../angie-debug/objs/angie %{buildroot}%{_sbindir}/angie-debug
ln -fs angie-nodebug %{buildroot}%{_sbindir}/angie

install -Dm 0644 objs/angie.8 %{buildroot}%{_mandir}/man8/angie.8

install -dm 0755 %{buildroot}%{_datadir}/angie/html
install -Dm 0644 html/* -t %{buildroot}%{_datadir}/angie/html

install -Dm 0644 conf/fastcgi.conf   -t %{buildroot}%{_sysconfdir}/angie
install -Dm 0644 conf/fastcgi_params -t %{buildroot}%{_sysconfdir}/angie
install -Dm 0644 conf/mime.types     -t %{buildroot}%{_sysconfdir}/angie
install -Dm 0644 conf/scgi_params    -t %{buildroot}%{_sysconfdir}/angie
install -Dm 0644 conf/uwsgi_params   -t %{buildroot}%{_sysconfdir}/angie

install -Dm 0644 %{_sourcedir}/angie.conf      %{buildroot}%{_sysconfdir}/angie/angie.conf
install -Dm 0644 %{_sourcedir}/default.conf    %{buildroot}%{_sysconfdir}/angie/http.d/default.conf
install -Dm 0644 %{_sourcedir}/example.conf    %{buildroot}%{_sysconfdir}/angie/stream.d/example.conf
install -Dm 0644 %{_sourcedir}/angie.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/angie
install -Dm 0644 %{_sourcedir}/angie.service   %{buildroot}%{_unitdir}/angie.service
install -Dm 0755 %{_sourcedir}/angie.upgrade   %{buildroot}%{_libexecdir}/initscripts/legacy-actions/angie/upgrade

ln -fs ../../usr/lib64/angie/modules %{buildroot}%{_sysconfdir}/angie/modules

install -Dm 0755 %{_sourcedir}/angie-repo.filetrigger %{buildroot}%{_libexecdir}/rpm/angie-repo.filetrigger

install -Dm 0755 module-auth-jwt/ngx_http_auth_jwt_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-auth-spnego/ngx_http_auth_spnego_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-brotli/ngx_http_brotli_filter_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules
install -Dm 0755 module-brotli/ngx_http_brotli_static_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-cache-purge/ngx_http_cache_purge_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-dav-ext/ngx_http_dav_ext_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-echo/ngx_http_echo_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-enhanced-memcached/ngx_http_enhanced_memcached_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-eval/ngx_http_eval_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-geoip2/ngx_http_geoip2_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules
install -Dm 0755 module-geoip2/ngx_stream_geoip2_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-headers-more/ngx_http_headers_more_filter_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-image-filter/ngx_http_image_filter_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-keyval/ngx_http_keyval_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-lua/ngx_http_lua_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules
install -Dm 0755 module-lua/ngx_stream_lua_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

for file in $(cd module-lua/resty-libs && find . -type f); do
    install -Dm 0644 module-lua/resty-libs/$file \
        %{buildroot}%{_datadir}/angie/luajit/$file
done

install -Dm 0755 module-ndk/ndk_http_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-njs/ngx_http_js_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules
install -Dm 0755 module-njs/ngx_stream_js_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 ../njs-0.8.0/build/njs \
    %{buildroot}%{_bindir}/njs

install -Dm 0755 module-perl/ngx_http_perl_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

for file in $(cd module-perl/pm && find . -type f); do
    install -Dm 0644 module-perl/pm/$file %{buildroot}/$file
done

install -Dm 0755 module-postgres/ngx_postgres_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-redis2/ngx_http_redis2_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-rtmp/ngx_rtmp_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-set-misc/ngx_http_set_misc_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-subs/ngx_http_subs_filter_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-upload/ngx_http_upload_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-vod/ngx_http_vod_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

install -Dm 0755 module-xslt/ngx_http_xslt_filter_module*.so \
    -t %{buildroot}%{_libdir}/angie/modules

%clean
rm -Rf %{buildroot}

%files
%{_sbindir}/angie
%{_sbindir}/angie-debug
%{_sbindir}/angie-nodebug

%dir %{_sysconfdir}/angie
%dir %{_sysconfdir}/angie/http.d
%dir %{_sysconfdir}/angie/stream.d

%config(noreplace) %{_sysconfdir}/angie/angie.conf
%config(noreplace) %{_sysconfdir}/angie/http.d/default.conf
%config(noreplace) %{_sysconfdir}/angie/stream.d/example.conf
%config(noreplace) %{_sysconfdir}/angie/fastcgi.conf
%config(noreplace) %{_sysconfdir}/angie/fastcgi_params
%config(noreplace) %{_sysconfdir}/angie/mime.types
%config(noreplace) %{_sysconfdir}/angie/scgi_params
%config(noreplace) %{_sysconfdir}/angie/uwsgi_params
%config(noreplace) %{_sysconfdir}/logrotate.d/angie

%{_sysconfdir}/angie/modules

%dir %{_datadir}/angie
%{_datadir}/angie/html

%doc CHANGES CHANGES.ru
%doc LICENSE

%dir %{_libdir}/angie
%dir %{_libdir}/angie/modules

%dir %{_libexecdir}/initscripts/legacy-actions/angie
%{_libexecdir}/initscripts/legacy-actions/angie/upgrade

%{_mandir}/man8/angie.8*

%{_unitdir}/angie.service

%attr(0755,root,root) %dir %{_var}/cache/angie
%attr(0755,root,root) %dir %{_var}/log/angie

%{_libexecdir}/rpm/angie-repo.filetrigger

%pre
# Add the "angie" user
getent group angie >/dev/null || groupadd -r angie
getent passwd angie >/dev/null || \
    useradd -r -g angie -s /sbin/nologin \
    -d %{_var}/cache/angie -c "angie user"  angie
exit 0

%post
# Register the angie service
if [ $1 -eq 1 ]; then
    /usr/bin/systemctl preset angie.service >/dev/null 2>&1 ||:
    # print site info
    cat <<BANNER
----------------------------------------------------------------------

Thanks for using Angie!

Please find the official documentation for Angie here:
* https://angie.software/en/

----------------------------------------------------------------------
BANNER

    # Touch and set permisions on default log files on installation

    if [ -d %{_var}/log/angie ]; then
        if [ ! -e %{_var}/log/angie/access.log ]; then
            touch %{_var}/log/angie/access.log
            %{__chmod} 640 %{_var}/log/angie/access.log
            %{__chown} angie:angie %{_var}/log/angie/access.log
        fi

        if [ ! -e %{_var}/log/angie/error.log ]; then
            touch %{_var}/log/angie/error.log
            %{__chmod} 640 %{_var}/log/angie/error.log
            %{__chown} angie:angie %{_var}/log/angie/error.log
        fi
    fi
fi

%preun
if [ $1 -eq 0 ]; then
    /usr/bin/systemctl --no-reload disable angie.service >/dev/null 2>&1 ||:
    /usr/bin/systemctl stop angie.service >/dev/null 2>&1 ||:
fi

%postun
/usr/bin/systemctl daemon-reload >/dev/null 2>&1 ||:
if [ $1 -ge 1 ]; then
    /sbin/service angie status  >/dev/null 2>&1 || exit 0
    /sbin/service angie upgrade >/dev/null 2>&1 || echo \
        "Binary upgrade failed, please check angie's error.log"
fi
%package module-auth-jwt
Summary:           Angie auth-jwt dynamic module
BuildRequires:     libjansson-devel
Group:             System/Servers

Requires:          angie = %{version}-%{release}
Conflicts:         angie-module-jwt

%description module-auth-jwt
Module adds SPNEGO support to Angie.

%files module-auth-jwt
%{_libdir}/angie/modules/ngx_http_auth_jwt_module.so
%{_libdir}/angie/modules/ngx_http_auth_jwt_module-debug.so

%doc ../nginx-auth-jwt-0.2.1/README.md

%doc ../nginx-auth-jwt-0.2.1/LICENSE

%post module-auth-jwt
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The auth-jwt dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_auth_jwt_module.so;

Please refer to the modules documentation for further details:
https://github.com/kjdev/nginx-auth-jwt

----------------------------------------------------------------------
BANNER
fi
%package module-auth-spnego
Summary:           Angie auth-spnego dynamic module
Group:             System/Servers
BuildRequires:     libkrb5-devel
Requires:          angie = %{version}-%{release}

%description module-auth-spnego
Module adds SPNEGO support to Angie.

%files module-auth-spnego
%{_libdir}/angie/modules/ngx_http_auth_spnego_module.so
%{_libdir}/angie/modules/ngx_http_auth_spnego_module-debug.so

%doc ../spnego-http-auth-nginx-module-1.1.1/README.md

%doc ../spnego-http-auth-nginx-module-1.1.1/LICENSE

%post module-auth-spnego
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The auth-spnego dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_auth_spnego_module.so;

Please refer to the modules documentation for further details:
https://github.com/stnoonan/spnego-http-auth-nginx-module

----------------------------------------------------------------------
BANNER
fi
%package module-brotli
Summary:           Angie Brotli dynamic module
Group:             System/Servers
BuildRequires:     libbrotli-devel
Requires:          angie = %{version}-%{release}

%description module-brotli
Module adds Brotli compression support to Angie.
Brotli is a generic-purpose lossless compression algorithm that compresses
data using a combination of a modern variant of the LZ77 algorithm, Huffman
coding and 2nd order context modeling, with a compression ratio comparable
to the best currently available general-purpose compression methods.
It is similar in speed with deflate but offers more dense compression.

%files module-brotli
%{_libdir}/angie/modules/ngx_http_brotli_filter_module.so
%{_libdir}/angie/modules/ngx_http_brotli_filter_module-debug.so
%{_libdir}/angie/modules/ngx_http_brotli_static_module.so
%{_libdir}/angie/modules/ngx_http_brotli_static_module-debug.so

%doc ../ngx_brotli-1.0.0rc/CONTRIBUTING.md
%doc ../ngx_brotli-1.0.0rc/README.md

%doc ../ngx_brotli-1.0.0rc/LICENSE

%post module-brotli
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The Brotli dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_brotli_filter_module.so;
or:
    load_module modules/ngx_http_brotli_static_module.so;

Please refer to the modules documentation for further details:
https://github.com/arut/nginx-dav-ext-module

----------------------------------------------------------------------
BANNER
fi
%package module-cache-purge
Summary:           Angie cache_purge dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-cache-purge
Module which adds ability to purge content from FastCGI, proxy, SCGI and uWSGI caches.

%files module-cache-purge
%{_libdir}/angie/modules/ngx_http_cache_purge_module.so
%{_libdir}/angie/modules/ngx_http_cache_purge_module-debug.so

%doc ../ngx_cache_purge-2.5.3/README.md

%doc ../ngx_cache_purge-2.5.3/LICENSE

%post module-cache-purge
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The cache_purge dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_cache_purge_module.so;

Please refer to the module documentation for further details:
https://github.com/nginx-modules/ngx_cache_purge

----------------------------------------------------------------------
BANNER
fi
%package module-dav-ext
Summary:           Angie dav-ext dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-dav-ext
Module extends built-in DAV module with PROPFIND, OPTIONS, LOCK, UNLOCK support.

%files module-dav-ext
%{_libdir}/angie/modules/ngx_http_dav_ext_module.so
%{_libdir}/angie/modules/ngx_http_dav_ext_module-debug.so

%doc ../nginx-dav-ext-module-3.0.0/README.rst

%doc ../nginx-dav-ext-module-3.0.0/LICENSE

%post module-dav-ext
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The dav-ext dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_dav_ext_module.so;

Please refer to the modules documentation for further details:
https://github.com/arut/nginx-dav-ext-module

----------------------------------------------------------------------
BANNER
fi
%package module-echo
Summary:           Angie echo dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-echo
Module brings "echo", "sleep", "time", "exec" and more shell-style goodies to config file.

%files module-echo
%{_libdir}/angie/modules/ngx_http_echo_module.so
%{_libdir}/angie/modules/ngx_http_echo_module-debug.so

%doc ../echo-nginx-module-0.63/README.markdown

%doc ../echo-nginx-module-0.63/LICENSE

%post module-echo
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The echo dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_echo_module.so;

Please refer to the module documentation for further details:
https://github.com/openresty/echo-nginx-module

----------------------------------------------------------------------
BANNER
fi
%package module-enhanced-memcached
Summary:           Angie enhanced memcached dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-enhanced-memcached
Module is used to obtain responses from a memcached server.

%files module-enhanced-memcached
%{_libdir}/angie/modules/ngx_http_enhanced_memcached_module.so
%{_libdir}/angie/modules/ngx_http_enhanced_memcached_module-debug.so

%doc ../ngx_http_enhanced_memcached_module-0.3/README.markdown

%doc ../ngx_http_enhanced_memcached_module-0.3/README.markdown

%post module-enhanced-memcached
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The enhanced memcached dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_enhanced_memcached_module.so;

Please refer to the module documentation for further details:
https://github.com/bpaquet/ngx_http_enhanced_memcached_module

----------------------------------------------------------------------
BANNER
fi
%package module-eval
Summary:           Angie eval dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-eval
This module captures subrequest response bodies into NGINX variables.

%files module-eval
%{_libdir}/angie/modules/ngx_http_eval_module.so
%{_libdir}/angie/modules/ngx_http_eval_module-debug.so

%doc ../nginx-eval-module-2016.06.10/README.md

%doc ../nginx-eval-module-2016.06.10/LICENCE

%post module-eval
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The eval dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_eval_module.so;

Please refer to the modules documentation for further details:
https://github.com/openresty/nginx-eval-module

----------------------------------------------------------------------
BANNER
fi
%package module-geoip2
Summary:           Angie GeoIP2 dynamic module
Group:             System/Servers
BuildRequires:     libmaxminddb-devel
Requires:          angie = %{version}-%{release}

%description module-geoip2
Module captures information from the client IP address in variables,
using the MaxMind GeoIP2 databases.

%files module-geoip2
%{_libdir}/angie/modules/ngx_http_geoip2_module.so
%{_libdir}/angie/modules/ngx_http_geoip2_module-debug.so
%{_libdir}/angie/modules/ngx_stream_geoip2_module.so
%{_libdir}/angie/modules/ngx_stream_geoip2_module-debug.so

%doc ../ngx_http_geoip2_module-3.4/README.md

%doc ../ngx_http_geoip2_module-3.4/LICENSE

%post module-geoip2
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The GeoIP2 dynamic modules for Angie have been installed.
To enable these modules, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_geoip2_module.so;
    load_module modules/ngx_stream_geoip2_module.so;

Please refer to the modules documentation for further details:
https://github.com/leev/ngx_http_geoip2_module

----------------------------------------------------------------------
BANNER
fi
%package module-headers-more
Summary:           Angie headers-more dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-headers-more
Module allows to set and clear input and output headers for Angie.

%files module-headers-more
%{_libdir}/angie/modules/ngx_http_headers_more_filter_module.so
%{_libdir}/angie/modules/ngx_http_headers_more_filter_module-debug.so

%doc ../headers-more-nginx-module-0.34/README.markdown

%doc ../headers-more-nginx-module-0.34/README.markdown

%post module-headers-more
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The headers-more dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_headers_more_filter_module.so;

Please refer to the modules documentation for further details:
https://github.com/openresty/headers-more-nginx-module/

----------------------------------------------------------------------
BANNER
fi
%package module-image-filter
Summary:           Angie image-filter dynamic module
Group:             System/Servers
BuildRequires:     libgd3-devel
Requires:          angie = %{version}-%{release}

%description module-image-filter
Module is a filter that transforms images in JPEG, GIF, PNG, and WebP formats.

%files module-image-filter
%{_libdir}/angie/modules/ngx_http_image_filter_module.so
%{_libdir}/angie/modules/ngx_http_image_filter_module-debug.so
%doc LICENSE

%post module-image-filter
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The image-filter dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_image_filter_module.so;

Please refer to the modules documentation for further details:
https://angie.software/http_image_filter/

----------------------------------------------------------------------
BANNER
fi
%package module-keyval
Summary:           Angie keyval dynamic module
Group:             System/Servers
BuildRequires:     hiredis-devel
Requires:          angie = %{version}-%{release}

%description module-keyval
This Angie module creates variables with values taken
from key-value pairs.

%files module-keyval
%{_libdir}/angie/modules/ngx_http_keyval_module.so
%{_libdir}/angie/modules/ngx_http_keyval_module-debug.so

%doc ../nginx-keyval-0.1.0/README.md

%doc ../nginx-keyval-0.1.0/LICENSE

%post module-keyval
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The keyval dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_keyval_module.so;

Please refer to the modules documentation for further details:
https://github.com/kjdev/nginx-keyval

----------------------------------------------------------------------
BANNER
fi
%package module-lua
Summary:           Angie Lua dynamic module
Group:             System/Servers
BuildRequires:     libpcre-devel
Requires:          angie = %{version}-%{release}
Requires:          angie-module-ndk = %{version}-%{release}

%description module-lua
Module embeds the power of Lua into Angie HTTP/STREAM Servers.

%files module-lua
%{_datadir}/angie/luajit
%{_libdir}/angie/modules/ngx_http_lua_module.so
%{_libdir}/angie/modules/ngx_http_lua_module-debug.so
%{_libdir}/angie/modules/ngx_stream_lua_module.so
%{_libdir}/angie/modules/ngx_stream_lua_module-debug.so

%doc ../lua-resty-core-0.1.26/README.lua-resty-core.markdown
%doc ../lua-resty-lrucache-0.13/README.lua-resty-lrucache.markdown
%doc ../luajit2-2.1-20230410/README.luajit2.md
%doc ../lua-nginx-module-0.10.24/README.markdown
%doc ../stream-lua-nginx-module-0.0.13/README.stream-lua-nginx-module.md

%doc ../lua-nginx-module-0.10.24/README.markdown

%post module-lua
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The Lua dynamic modules for Angie have been installed.
To enable these modules, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ndk_http_module.so;
    load_module modules/ngx_http_lua_module.so;
    load_module modules/ngx_stream_lua_module.so;

Please refer to the modules documentation for further details:
https://github.com/openresty/lua-nginx-module
https://github.com/openresty/stream-lua-nginx-module

----------------------------------------------------------------------
BANNER
fi
%package module-ndk
Summary:           Angie NDK dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-ndk
Module is designed to extend the Angie core functionality.

%files module-ndk
%{_libdir}/angie/modules/ndk_http_module.so
%{_libdir}/angie/modules/ndk_http_module-debug.so

%doc ../ngx_devel_kit-0.3.2/README.md

%doc ../ngx_devel_kit-0.3.2/LICENSE

%post module-ndk
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The ndk dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf 
and reload angie:

    load_module modules/ndk_http_module;

Please refer to the modules documentation for further details:
https://github.com/vision5/ngx_devel_kit

----------------------------------------------------------------------
BANNER
fi
%package module-njs
Summary:           Angie NJS dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-njs
Module is a subset of the JavaScript language that allows extending
Angie functionality.

%files module-njs
%{_libdir}/angie/modules/ngx_http_js_module.so
%{_libdir}/angie/modules/ngx_http_js_module-debug.so
%{_libdir}/angie/modules/ngx_stream_js_module.so
%{_libdir}/angie/modules/ngx_stream_js_module-debug.so

%doc ../njs-0.8.0/CHANGES
%doc ../njs-0.8.0/README

%doc ../njs-0.8.0/LICENSE

%post module-njs
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The njs dynamic modules for Angie have been installed.
To enable these modules, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_js_module.so;
    load_module modules/ngx_stream_js_module.so;

Please refer to the njs documentation for further details:
https://angie.software/js_reference/
https://angie.software/http_js/
https://angie.software/stream_js/

----------------------------------------------------------------------
BANNER
fi

%package module-njs-cli
Summary:           Angie NJS CLI
Group:             System/Servers
BuildRequires:     libedit-devel

%description module-njs-cli
Command-line interface for Angie NJS.

%files module-njs-cli
%{_bindir}/njs

%doc ../njs-0.8.0/CHANGES
%doc ../njs-0.8.0/README

%doc ../njs-0.8.0/LICENSE

%post module-njs-cli
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The njs CLI for Angie has been installed.

Please refer to the njs documentation for further details:
https://angie.software/js_reference/

----------------------------------------------------------------------
BANNER
fi
%package module-perl
Summary:           Angie Perl dynamic module
Group:             System/Servers
BuildRequires:     perl-devel
Requires:          angie = %{version}-%{release}

%description module-perl
Module is used to implement location and variable handlers in Perl and insert
Perl calls into SSI.

%files module-perl
%{_libdir}/angie/modules/ngx_http_perl_module.so
%{_libdir}/angie/modules/ngx_http_perl_module-debug.so
%{perl_vendorarch}/auto/nginx
%{perl_vendorarch}/nginx.pm
%doc LICENSE

%post module-perl
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The Perl dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_perl_module.so;

Please refer to the modules documentation for further details:
https://angie.software/http_perl/

----------------------------------------------------------------------
BANNER
fi
%package module-postgres
Summary:           Angie postgres dynamic module
Group:             System/Servers
BuildRequires:     libpq-devel
Requires:          angie = %{version}-%{release}

%description module-postgres
Module that allows angie to communicate directly with PostgreSQL database.

%files module-postgres
%{_libdir}/angie/modules/ngx_postgres_module.so
%{_libdir}/angie/modules/ngx_postgres_module-debug.so

%doc ../ngx_postgres-1.0rc7/README.md

%doc ../ngx_postgres-1.0rc7/LICENSE

%post module-postgres
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The postgres dynamic modules for Angie have been installed.
To enable these modules, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_postgres_module.so;

Please refer to the modules documentation for further details:
https://github.com/FRiCKLE/ngx_postgres

----------------------------------------------------------------------
BANNER
fi
%package module-redis2
Summary:           Angie redis2 dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-redis2
Module makes Angie talk to a Redis 2.x server in a non-blocking way.

%files module-redis2
%{_libdir}/angie/modules/ngx_http_redis2_module.so
%{_libdir}/angie/modules/ngx_http_redis2_module-debug.so

%doc ../redis2-nginx-module-0.15/README.markdown

%doc ../redis2-nginx-module-0.15/README.markdown

%post module-redis2
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The redis2 dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_redis2_module.so;

Please refer to the module documentation for further details:
https://github.com/openresty/redis2-nginx-module

----------------------------------------------------------------------
BANNER
fi
%package module-rtmp
Summary:           Angie RTMP dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-rtmp
Module provides HLS and MPEG-DASH live streaming capabilities.

%files module-rtmp
%{_libdir}/angie/modules/ngx_rtmp_module.so
%{_libdir}/angie/modules/ngx_rtmp_module-debug.so

%doc ../nginx-rtmp-module-1.2.2/README.md

%doc ../nginx-rtmp-module-1.2.2/LICENSE

%post module-rtmp
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The RTMP dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_rtmp_module.so;

Please refer to the module documentation for further details:
https://github.com/arut/nginx-rtmp-module

----------------------------------------------------------------------
BANNER
fi
%package module-set-misc
Summary:           Angie set-misc dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}
Requires:          angie-module-ndk = %{version}-%{release}

%description module-set-misc
Module implements numerous additional set_* directives extending
Angie core rewrite module.

%files module-set-misc
%{_libdir}/angie/modules/ngx_http_set_misc_module.so
%{_libdir}/angie/modules/ngx_http_set_misc_module-debug.so

%doc ../set-misc-nginx-module-0.33/README.markdown

%doc ../set-misc-nginx-module-0.33/README.markdown

%post module-set-misc
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The set-misc dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ndk_http_module.so;
    load_module modules/ngx_http_set_misc_module.so;

Please refer to the modules documentation for further details:
https://github.com/openresty/set-misc-nginx-module

----------------------------------------------------------------------
BANNER
fi
%package module-subs
Summary:           Angie substitutions dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-subs
Module performs both regular expression and fixed string
substitutions on response bodies.

%files module-subs
%{_libdir}/angie/modules/ngx_http_subs_filter_module.so
%{_libdir}/angie/modules/ngx_http_subs_filter_module-debug.so

%doc ../ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e/README

%doc ../ngx_http_substitutions_filter_module-e12e965ac1837ca709709f9a26f572a54d83430e/README

%post module-subs
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The substitutions dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_subs_filter_module.so;

Please refer to the module documentation for further details:
https://github.com/yaoweibin/ngx_http_substitutions_filter_module

----------------------------------------------------------------------
BANNER
fi
%package module-xslt
Summary:           Angie XSLT dynamic module
Group:             System/Servers
BuildRequires:     libxslt-devel
Requires:          angie = %{version}-%{release}

%description module-xslt
Module is a filter that transforms XML responses using XSLT stylesheets.

%files module-xslt
%{_libdir}/angie/modules/ngx_http_xslt_filter_module.so
%{_libdir}/angie/modules/ngx_http_xslt_filter_module-debug.so
%doc LICENSE

%post module-xslt
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The XSLT dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_xslt_filter_module.so;

Please refer to the modules documentation for further details:
https://angie.software/http_xslt/

----------------------------------------------------------------------
BANNER
fi
%package module-upload
Summary:           Angie upload dynamic module
Group:             System/Servers
Requires:          angie = %{version}-%{release}

%description module-upload
Module parses request body storing all files being uploaded to a directory.

%files module-upload
%{_libdir}/angie/modules/ngx_http_upload_module.so
%{_libdir}/angie/modules/ngx_http_upload_module-debug.so

%doc ../nginx-upload-module-2.3.0/README.md

%doc ../nginx-upload-module-2.3.0/LICENCE

%post module-upload
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The upload dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_upload_module.so;

Please refer to the module documentation for further details:
https://github.com/fdintino/nginx-upload-module

----------------------------------------------------------------------
BANNER
fi
%package module-vod
Summary:           VOD dynamic module for Angie
Group:             System/Servers
BuildRequires:     libavcodec-devel
BuildRequires:     libswscale-devel
Requires:          angie = %{version}-%{release}

%description module-vod
Module allows on-the-fly repackaging of MP4 files to DASH, HDS, HLS, MSS.

%files module-vod
%{_libdir}/angie/modules/ngx_http_vod_module.so
%{_libdir}/angie/modules/ngx_http_vod_module-debug.so

%doc ../nginx-vod-module-1.31/README.md

%doc ../nginx-vod-module-1.31/LICENSE

%post module-vod
if [ $1 -eq 1 ]; then
  cat <<BANNER
----------------------------------------------------------------------

The VOD dynamic module for Angie has been installed.
To enable this module, add the following to /etc/angie/angie.conf
and reload angie:

    load_module modules/ngx_http_vod_module.so;

Please refer to the module documentation for further details:
https://github.com/kaltura/nginx-vod-module

----------------------------------------------------------------------
BANNER
fi
%changelog
* Wed Aug 30 2023 Dmitriy V Genger <oskiller@altlinux.org> - 1.2.0-alt5
- Added filetrigger for ALT Linux

* Thu Aug 17 2023 Dmitriy V Genger <oskiller@altlinux.org> - 1.2.0-alt4
- Added angie-module-enhanced-memcached
- Added angie-module-eval

* Thu Jul 27 2023 Dmitriy V Genger <oskiller@altlinux.org> - 1.2.0-alt3
- Added angie-module-auth-jwt
- Updated angie-module-jwt to 3.2.2

* Mon Jul 17 2023 Dmitriy V Genger <oskiller@altlinux.org> - 1.2.0-alt2
- Added angie-module-cache-purge
- Added angie-module-echo
- Added angie-module-keyval
- Added angie-module-postgresql
- Updated angie-module-njs to 0.8.0
- Updated angie-module-njs-cli to 0.8.0

* Tue May 30 2023 Dmitriy V Genger <oskiller@altlinux.org> - 1.2.0-alt1
- Release 1.2.0
- Added angie-module-lua
- Added angie-module-redis2

* Wed May 10 2023 Dmitriy V Genger <oskiller@altlinux.org> - 1.1.0-alt3
- Added angie-module-jwt
- Added angie-module-subs
- Added angie-module-upload
- Added angie-module-vod
- Updated angie-module-njs to 0.7.12
- Updated angie-module-njs-cli to 0.7.12

* Fri Mar 10 2023 Dmitriy V Genger <oskiller@altlinux.org> - 1.1.0-alt2
- Added angie-module-auth-spnego
- Added angie-module-brotli
- Added angie-module-dav-ext
- Added angie-module-headers-more
- Added angie-module-ndk
- Added angie-module-rtmp
- Added angie-module-set-misc
- Updated angie-module-njs to 0.7.11
- Separate angie-module-njs-cli package

* Wed Jan 25 2023 Dmitriy V Genger <oskiller@altlinux.org> - 1.1.0-alt1
- Release 1.1.0

* Fri Jan 13 2023 Dmitriy V Genger <oskiller@altlinux.org> - 1.0.0-alt1
- new version 1.0.0
